--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Methods on expectations returned from Mock#expects, Mock#stubs, Object#expects and Object#stubs.
constants: []

full_name: Mocha::Expectation
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: at_least
- !ruby/object:RI::MethodSummary 
  name: at_least_once
- !ruby/object:RI::MethodSummary 
  name: at_most
- !ruby/object:RI::MethodSummary 
  name: at_most_once
- !ruby/object:RI::MethodSummary 
  name: in_sequence
- !ruby/object:RI::MethodSummary 
  name: multiple_yields
- !ruby/object:RI::MethodSummary 
  name: never
- !ruby/object:RI::MethodSummary 
  name: once
- !ruby/object:RI::MethodSummary 
  name: raises
- !ruby/object:RI::MethodSummary 
  name: returns
- !ruby/object:RI::MethodSummary 
  name: then
- !ruby/object:RI::MethodSummary 
  name: times
- !ruby/object:RI::MethodSummary 
  name: twice
- !ruby/object:RI::MethodSummary 
  name: when
- !ruby/object:RI::MethodSummary 
  name: with
- !ruby/object:RI::MethodSummary 
  name: yields
name: Expectation
superclass: Object
